using SqlSugar;
using System;

namespace DeviceRepair.Models.SFC
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("ResourceAllocations")]
    public class ResourceAllocationsInfo
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "GUID", IsPrimaryKey = true)]
        public Guid Guid { get; set; }

        /// <summary>
        ///  产品号
        ///</summary>
        [SugarColumn(ColumnName = "Product")]
        public string Product { get; set; }

        /// <summary>
        ///  工艺版本
        ///</summary>
        [SugarColumn(ColumnName = "Technology")]
        public string Technology { get; set; }

        /// <summary>
        ///  岗位
        ///</summary>
        [SugarColumn(ColumnName = "Staff")]
        public Guid Staff { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreateBy")]
        public string CreateBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreateOn")]
        public DateTime? CreateOn { get; set; }

    }
}
